Bug 520463 - Review Request: perl-common-sense - "Common sense" Perl defaults
Summary: Review Request: perl-common-sense - "Common sense" Perl defaults
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Klepek
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/common-sense
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 15:23 UTC by Chris Weyl
Modified: 2016-08-14 16:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-30 02:00:38 UTC
jan.klepek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2009-08-31 15:23:46 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-common-sense.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-common-sense-1.0-1.fc11.src.rpm

Description:
This module implements some sane defaults for Perl programs, as defined
by two typical (or not so typical - use your common sense) specimens of
Perl coders:

  use strict qw(vars subs);
  use feature qw(say state switch);
  no warnings;

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1645924

Additional Comment:

This is a new BR of the latest JSON::XS.

*rt-0.10

Comment 1 Jason Tibbitts 2009-08-31 16:37:35 UTC
This has to be in the running for worst summary ever.

Comment 2 Chris Weyl 2009-09-01 00:11:30 UTC
Upstream seems to have a sense of humor :)

Comment 3 Jan Klepek 2009-09-03 05:21:56 UTC
please fix summary and do a scratch build in koji for f-10/11
i will meantime review deeply this package

Comment 4 Jan Klepek 2009-09-20 11:00:10 UTC
for approval, please write better summary in spec file
please see: https://fedoraproject.org/wiki/Packaging/Guidelines#summary

*license ok
*rpmlint ok
*perl specific guidelines ok
*source ok

after better summary is provided, could be approved.

Comment 5 Chris Weyl 2009-09-27 18:04:02 UTC
Here's an updated summary; though now we deviate from upstream.


Spec URL: http://fedorapeople.org/~cweyl/review/perl-common-sense.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-common-sense-1.0-2.fc11.src.rpm

Comment 6 Jan Klepek 2009-09-27 18:29:57 UTC
Approved

Yes, we deviate from upstream, however, "The summary should be a short and concise description of the package." (ref: packaging guidelines). Previous summary didn't told user what to expect from package.

Comment 7 Chris Weyl 2009-09-27 18:35:17 UTC
New Package CVS Request
=======================
Package Name: perl-common-sense
Short Description: Save a tree AND a kitten, use common::sense!
Owners: cweyl
Branches: F-10 F-11 devel
InitialCC: perl-sig

Comment 8 Chris Weyl 2009-09-27 18:53:38 UTC
Heh.  Another thing to fix :)

New Package CVS Request
=======================
Package Name: perl-common-sense
Short Description: "Common sense" Perl defaults
Owners: cweyl
Branches: F-10 F-11 devel
InitialCC: perl-sig

Comment 9 Kevin Fenzi 2009-09-29 20:19:56 UTC
cvs done.

Comment 10 Chris Weyl 2009-09-30 02:00:38 UTC
Thanks for the review! :-)

Comment 11 Nicolas Chauvet (kwizart) 2009-12-14 22:30:27 UTC
Can we update this pacakge to the lastest ?
Also I wonder if it get pushed to F-11 updates stable via bodhi ?

Comment 12 Lubomir Rintel 2010-07-19 09:07:35 UTC
Package Change Request
======================
Package Name: perl-common-sense
New Branches: EL-6
Owners: lkundrak

Maintainer did not respond to mail and I need this as dependency.
Mail was sent at: Date: 	Fri, 09 Jul 2010 11:42:01 +0200

I'd be glad if maintained this though; if he ever expresses will to do so, I'll gladly hand this to him in pkgdb.

Comment 13 Kevin Fenzi 2010-07-20 03:15:30 UTC
CVS done (by process-cvs-requests.py).

Comment 14 Paul Howarth 2012-03-24 20:38:59 UTC
Package Change Request
======================
Package Name: perl-common-sense
New Branches: EL-5
Owners: pghmcfc

Comment 15 Gwyn Ciesla 2012-03-24 22:37:48 UTC
Git done (by process-git-requests).

Comment 16 Fedora Update System 2012-03-25 10:29:49 UTC
perl-common-sense-3.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-common-sense-3.5-1.el5

Comment 17 Fedora Update System 2012-04-12 05:59:31 UTC
perl-common-sense-3.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.